# FlowProviders

@Incubating
@ServiceScope(value = Build::class)
interface FlowProviders

Exposes build lifecycle events as providers so they can be used as inputs to dataflow actions.

#### Since

8.1

## Functions

getBuildWorkResult
Link copied to clipboard
abstract fun getBuildWorkResult(): Provider<BuildWorkResult>
Returns a provider for the summary result of the execution of the work scheduled for the current build.